Bug 244559

Summary: gnome-volume-manager has wrong media play commands
Product: [Fedora] Fedora Reporter: Michal Jaegermann <michal>
Component: gnome-volume-managerAssignee: David Zeuthen <davidz>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: 7CC: bnocera, mclasen, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-16 21:37:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Michal Jaegermann 2007-06-17 05:22:48 EDT
Description of problem:

In /etc/gconf/schemas/gnome-volume-manager.schemas there are defaults
for autoplay_dvd_command, autoplay_vcd_command and autoplay_cda_command.
In all cases these commands are 'totem %d' and, AFAICS, in all cases
they are wrong.

Inserting DVD, even if required libraries are present, is causing
totem to display error messages about missing plugins and nothing
plays.  A correct auto-play command in this case happens to be:

     totem --play dvd://

and that one actually works as expected.

I do not have any correct VCD with which to check but I strongly
suspect that in this case one should use

     totem --play vcd://

In a case of audio CD a command

     totem --play %d

(with %d actually substituted by /dev/cdrom or equivalent)
does start playing but this is a really poor cousin of

     gnome-cd --play --unique

as the later shows, when available, CD and track information
while in totem all of that is always either "Unknown" or blank.

Sigh! I just found (see bug 244558) that 'gnome-cd' is strangely
picky about accepted device names and segfaults when they are
not to its liking.  As a result the more proper

     gnome-cd --play --unique --device %d

does not work.

Version-Release number of selected component (if applicable):
gnome-volume-manager-2.17.0-7.fc7 and earlier too

How reproducible:
always
Comment 1 Bug Zapper 2008-05-14 09:09:06 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:37:43 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.